import json

FILE_NAMES = (
    'mapping_ar.json',
    'mapping_en.json',
    'mapping_es.json',
    'mapping_fr.json',
    'mapping_ja.json',
    'mapping_ru.json',
)

for file_name in FILE_NAMES:
    language = file_name.split('.')[0].split('_')[1]
    with open(file_name, 'r', encoding='utf-8') as json_file:
        json_data = json.loads(json_file.read())
        sorted_titles = []
        for title, data in json_data.items():
            if title.strip():
                sorted_titles.append((title, data['rank']))
        sorted_titles.sort(key=lambda x: x[1])
    with open('%s_titles.txt' % language, 'w', encoding='utf-8') as outf:
        outf.writelines(['%s\n' % x[0] for x in sorted_titles])
